using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.Navigation
{
    public interface INavigationRepository : IRepository
    {
        Task<Entity.Navigations.Navigation> GetAsync(int id);

        Task<bool> DeleteAsync(int id);

        Task<int> InsertAsync(Entity.Navigations.Navigation note);

        Task<bool> UpdateAsync(Entity.Navigations.Navigation note);
        Task<bool> UpdateAsync(SqlKata.Query query);

        Task<IEnumerable<Entity.Navigations.Navigation>> GetAllAsync();
    }
}